"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSanitizerFn = void 0;
/**
 * Returns a {@link SanitizerFn} that removes undesired characters from a string
 * input using the provided `regex`.
 *
 * @param regex - The regular expression used to match the undesired characters.
 * @returns A function that takes a string input and returns the sanitized string.
 */
const getSanitizerFn = (regex) => {
    return (str) => str.replace(regex, "");
};
exports.getSanitizerFn = getSanitizerFn;
