/**
 * A function which returns `true` if the provided `input` is valid.
 */
export type ValidatorFn = (value?: unknown) => value is string;
/**
 * Returns a {@link ValidatorFn} which takes an unknown input, and returns
 * `true` if the input is a string that matches the provided regex pattern(s).
 */
export declare const getValidatorFn: (regexArg: RegExp | Array<RegExp>, isExpectedType?: (value?: unknown) => boolean) => ValidatorFn;
