"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unescapeString = void 0;
/**
 * Escape a string by replacing <, >, &, ', ", `, \ and / with HTML entities.
 */
const unescapeString = (str) => {
    return str
        .replace(/&quot;/g, `"`)
        .replace(/&#x27;/g, `'`)
        .replace(/&lt;/g, `<`)
        .replace(/&gt;/g, `>`)
        .replace(/&#x2F;/g, `/`)
        .replace(/&#x5C;/g, `\\`)
        .replace(/&#96;/g, "`")
        .replace(/&amp;/g, `&`); // <-- must be last
};
exports.unescapeString = unescapeString;
