/**
 * Regex for validating US phone number strings.
 * - Accepts US phone numbers with or without a country code (`+1` or `1`).
 * - The segments of the phone number may be separated by a space or hyphen.
 * - The area code may be enclosed in parentheses.
 */
export declare const PHONE_VALIDATION_REGEX: RegExp;
/**
 * Returns `true` if `value` is a valid US phone number.
 */
export declare const isValidPhone: import("../utils/getValidatorFn.js").ValidatorFn;
