/**
 * Regex for validating URLs.
 * - Matches any URL that starts with a valid protocol comprised of 2-17 ASCII alphabetic characters.
 * - The URL can be absolute or relative.
 */
export declare const URL_VALIDATION_REGEX: RegExp;
/**
 * Returns `true` if `value` is a valid absolute or relative URL.
 *
 * > The regex pattern used in this function is _protocol agnostic_ and will match any URL
 * > that starts with a valid protocol comprised of 2-17 ASCII alphabetic characters.
 */
export declare const isValidURL: import("../utils/getValidatorFn.js").ValidatorFn;
/**
 * Regex for validating absolute http/https URLs.
 */
export declare const HTTP_URL_VALIDATION_REGEX: RegExp;
/**
 * Returns `true` if `value` is a valid absolute http/https URL.
 */
export declare const isValidHttpURL: import("../utils/getValidatorFn.js").ValidatorFn;
